GNU bug report logs - #24128
25.1; Strange warning from byte compiler in gud.el and gdb-mi.el

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Eli Zaretskii <eliz@HIDDEN>; merged with #2681, #8774, #9109, #22288, #24592; dated Mon, 1 Aug 2016 20:05:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Merged 2681 8774 9109 22288 24128 24592. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Disconnected #24449 from all other report(s). Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 2681 8774 9109 22288 24128 24449. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 24128 <at> debbugs.gnu.org:


Received: (at 24128) by debbugs.gnu.org; 2 Aug 2016 14:50:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 02 10:50:49 2016
Received: from localhost ([127.0.0.1]:53736 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bUb1p-0003QE-GC
	for submit <at> debbugs.gnu.org; Tue, 02 Aug 2016 10:50:49 -0400
Received: from eggs.gnu.org ([208.118.235.92]:58881)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bUb1j-0003Px-Dg
 for 24128 <at> debbugs.gnu.org; Tue, 02 Aug 2016 10:50:43 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bUb1b-0007ox-IV
 for 24128 <at> debbugs.gnu.org; Tue, 02 Aug 2016 10:50:34 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.7 required=5.0 tests=BAYES_05,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:32956)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bUb1b-0007or-Ev; Tue, 02 Aug 2016 10:50:31 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2456
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bUb1a-0007sI-J6; Tue, 02 Aug 2016 10:50:31 -0400
Date: Tue, 02 Aug 2016 17:50:17 +0300
Message-Id: <83wpjzmdhy.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Noam Postavsky <npostavs@HIDDEN>
In-reply-to: <CAM-tV--ieXj4OVRiz5ide+PJODYL-SJXL2WDOZ=m6BmgjPF8Bw@HIDDEN>
 (message from Noam Postavsky on Mon, 1 Aug 2016 23:48:59 -0400)
Subject: Re: bug#24128: 25.1;
 Strange warning from byte compiler in gud.el and gdb-mi.el
References: <837fc0ntmw.fsf@HIDDEN> <87wpk0w7ho.fsf@HIDDEN>
 <831t27oq3n.fsf@HIDDEN> <87vazj6edf.fsf@HIDDEN>
 <CAM-tV--ieXj4OVRiz5ide+PJODYL-SJXL2WDOZ=m6BmgjPF8Bw@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.2 (------)
X-Debbugs-Envelope-To: 24128
Cc: michael_heerdegen@HIDDEN, 24128 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.2 (------)

> From: Noam Postavsky <npostavs@HIDDEN>
> Date: Mon, 1 Aug 2016 23:48:59 -0400
> Cc: Eli Zaretskii <eliz@HIDDEN>, 24128 <at> debbugs.gnu.org
> 
> On Mon, Aug 1, 2016 at 11:25 PM, Michael Heerdegen
> <michael_heerdegen@HIDDEN> wrote:
> > Eli Zaretskii <eliz@HIDDEN> writes:
> >
> >> We should make the reported line correct, then.  Right?
> >
> > Seems the reported line number names the start of the according
> > top-level defun.  I wonder whether the compiler code knows at all to
> > which line the reported warning exactly refers (I don't know, but
> > somewhat doubt it).  Maybe someone else can help more.
> >
> 
> It's a fairly long-standing bug, see
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2681 and merged bugs.

So it's high time we had it fixed, IMO.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24128; Package emacs. Full text available.

Message received at 24128 <at> debbugs.gnu.org:


Received: (at 24128) by debbugs.gnu.org; 2 Aug 2016 03:49:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 01 23:49:07 2016
Received: from localhost ([127.0.0.1]:53281 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bUQhX-0003A1-AB
	for submit <at> debbugs.gnu.org; Mon, 01 Aug 2016 23:49:07 -0400
Received: from mail-oi0-f45.google.com ([209.85.218.45]:36506)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1bUQhV-00039V-NT
 for 24128 <at> debbugs.gnu.org; Mon, 01 Aug 2016 23:49:06 -0400
Received: by mail-oi0-f45.google.com with SMTP id w18so220123128oiw.3
 for <24128 <at> debbugs.gnu.org>; Mon, 01 Aug 2016 20:49:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:sender:in-reply-to:references:from:date:message-id
 :subject:to:cc;
 bh=WH8ddW/6d3wm1Yqs0Xs5c6PZX4iI/35PUX61G0Oda4g=;
 b=OYet1kuBwqizopm1e0m1VFH/LHryRAch0KWGga2qNFiI1AnTt+8F3GfOtDieuhhuKt
 v6GvvRX2eURYmRuNtboZ4XoOAIJ13/DnI50PSHLCxdep83RZ7k6/gcIWjTHEQJVpxwFD
 WnroRrPL7Dsf5hwS7RYnAqFCFpdCI5Hyk5TEsjxd8r6SGLTWDZhrCPGoilkERWLNqsMo
 EOxHpYGhxfJv9TvWWVe8wGJRZJZm+tnLpoqQu4Zh3XVcGi1lY0PsxakMqN01wiUNLm5U
 NbejmDuw5kfvyaAKowWaun5LUHU/rJ2CZuMyL2EZCMoZA0KZiMIFghbD6xq2qh0BjvaP
 p/Lg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:mime-version:sender:in-reply-to:references:from
 :date:message-id:subject:to:cc;
 bh=WH8ddW/6d3wm1Yqs0Xs5c6PZX4iI/35PUX61G0Oda4g=;
 b=YUZKFcDqzuOMTJYIiOy1NY3d4KxAXzWPir97GkfFtqG5mAVhKMwa4RJXlYtgvhLBH8
 ffxuy3wmkBxHfNAMlYMLN75UCgjd36Up/KfUQ87Qf6VzbU2yMq+qft8Z6HOfXavCmwSF
 ww5zyFfP+7b9TUNg1sg8xSRP5Xyjbd2R7tlY0/hIRxNpznnVjT4ksEiTUtHh56AJ4FCU
 xCoT1a9QHRkIbcl7L5YcuEDVkMOBojY23EmDcJCdxJ/TMFghpH3G0Ey/yfQkkEZCJikD
 hdISr+Nac7lGch8lrOQlC6YFXBcHO5/TBZE4r016egeNtav73jx/BOoNrN+a6XsollJM
 3u8g==
X-Gm-Message-State: AEkoousQseX891h8NveuvFsYzq+cGmyXuF77JUw7poDWe0FBU/tMWNZUHn1tfK8tT0FOlufrmzVzZEKDeyhlvw==
X-Received: by 10.157.61.245 with SMTP id l108mr4661390otc.92.1470109740333;
 Mon, 01 Aug 2016 20:49:00 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.157.7.161 with HTTP; Mon, 1 Aug 2016 20:48:59 -0700 (PDT)
In-Reply-To: <87vazj6edf.fsf@HIDDEN>
References: <837fc0ntmw.fsf@HIDDEN> <87wpk0w7ho.fsf@HIDDEN>
 <831t27oq3n.fsf@HIDDEN> <87vazj6edf.fsf@HIDDEN>
From: Noam Postavsky <npostavs@HIDDEN>
Date: Mon, 1 Aug 2016 23:48:59 -0400
X-Google-Sender-Auth: KMriTc-Irb2-qqrYowzlhZKyfqg
Message-ID: <CAM-tV--ieXj4OVRiz5ide+PJODYL-SJXL2WDOZ=m6BmgjPF8Bw@HIDDEN>
Subject: Re: bug#24128: 25.1;
 Strange warning from byte compiler in gud.el and gdb-mi.el
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24128
Cc: Eli Zaretskii <eliz@HIDDEN>, 24128 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Mon, Aug 1, 2016 at 11:25 PM, Michael Heerdegen
<michael_heerdegen@HIDDEN> wrote:
> Eli Zaretskii <eliz@HIDDEN> writes:
>
>> We should make the reported line correct, then.  Right?
>
> Seems the reported line number names the start of the according
> top-level defun.  I wonder whether the compiler code knows at all to
> which line the reported warning exactly refers (I don't know, but
> somewhat doubt it).  Maybe someone else can help more.
>

It's a fairly long-standing bug, see
http://debbugs.gnu.org/cgi/bugreport.cgi?bug=2681 and merged bugs.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24128; Package emacs. Full text available.

Message received at 24128 <at> debbugs.gnu.org:


Received: (at 24128) by debbugs.gnu.org; 2 Aug 2016 03:26:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 01 23:26:02 2016
Received: from localhost ([127.0.0.1]:53264 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bUQLC-0002Xv-OJ
	for submit <at> debbugs.gnu.org; Mon, 01 Aug 2016 23:26:02 -0400
Received: from mout.web.de ([212.227.15.14]:52985)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1bUQL7-0002XL-Sp
 for 24128 <at> debbugs.gnu.org; Mon, 01 Aug 2016 23:26:01 -0400
Received: from drachen.dragon ([88.67.73.210]) by smtp.web.de (mrweb002) with
 ESMTPSA (Nemesis) id 0M8hdL-1bIElo0OMV-00wGjC;
 Tue, 02 Aug 2016 05:25:51 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#24128: 25.1;
 Strange warning from byte compiler in gud.el and gdb-mi.el
References: <837fc0ntmw.fsf@HIDDEN> <87wpk0w7ho.fsf@HIDDEN>
 <831t27oq3n.fsf@HIDDEN>
Date: Tue, 02 Aug 2016 05:25:48 +0200
In-Reply-To: <831t27oq3n.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 02 Aug
 2016 05:35:08 +0300")
Message-ID: <87vazj6edf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:PxvZaQ/1JeqBvopBMskSavyn8JzOTbJIdqRc54AYoQg7alD/7ha
 C+oFRedOFy4kfhSiNIFOH7iIYvYrIMJ597387utykIUlz7FngSwyp16VsdjPfO2NxfVJ+kb
 NS8UL8kmpeQfa68gmzXhMYS7/ICKvzFsEGA7lPDn9g6W5bLHPT9bEuSZThIk6NNfknUXt1g
 isph80EjzUF3dURAwCRNg==
X-UI-Out-Filterresults: notjunk:1;V01:K0:YMXNOQLDNto=:GXnhTMyd6e/qqjgdcYN+1N
 td16U35CAixlChPQtQYqscSAaPDoM6nuOLNgzjXza0TuOHQVOGK8+D/w1BB1Y5abcp5Lg8tRJ
 Bpxv2EerMST4ppRVwoHRmLUPH9TC/U5D3H+ofD0FjMB2ZnBAFza6J0kYkXMlcKTufLJUhWLSD
 wi1FpN8pzzOkMRVCMvRE19FtgmnVFW+q/YEseVMU9l6zpGgtRArCH67EvLnEdD4Y7Ar5cgXU4
 iVhjD1cObfwaJf05J3AofvDDHMgQbH530GVwIlU7rz9wghanX6ZoSMw+nizaZs35qnen9ZWMU
 17vX/eR0s3Poxq6UXfz0Nw4AitpjQAxdRiKtwSaLR5YUEa+s3s6Wm3se8xfODg63Z3IXXF0Mu
 zofb2x+orHdXYvmzRSw7oHFStRE0S0hBStyDv97l7KrrzuqlrgMIW7fqnbzYkx8k7ou5ZvIG2
 vroYl6+IVDmcUXhK5gyfusbB7Yql3pTOT+rj5QHpucYuZr1mE3t/j5V+M0YzzMTihqERx/n6J
 BI3t2qO07YnCNTmAXJ1W0oZHHLBz31riMWqdo3qdZMEGc2jt67cksprq3hyjioxYbFmw81OVh
 389CP/F0JzJr9i4R0gU5xbr1v43U7v4WrzHLE7RFPVH8CeZW4g2pmogeP4nS/FE9FVp6v+GUV
 uluf/plKB9zxZinZ9C3IQxEPPMIIE/jYVdwgOUC0/j9lQWUutPNjaXEn4/9gxhs+ALBzlLvnX
 l3lJ71exUciNYySd7AjdtX15yqhx8zNgmNWFTZ/9geKY8NMMZxKVXIdjH5wq/Ym5jwkVfKK++
 fbhnZ2x
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 24128
Cc: 24128 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.0 (--)

Eli Zaretskii <eliz@HIDDEN> writes:

> We should make the reported line correct, then.  Right?

Seems the reported line number names the start of the according
top-level defun.  I wonder whether the compiler code knows at all to
which line the reported warning exactly refers (I don't know, but
somewhat doubt it).  Maybe someone else can help more.


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24128; Package emacs. Full text available.

Message received at 24128 <at> debbugs.gnu.org:


Received: (at 24128) by debbugs.gnu.org; 2 Aug 2016 02:35:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 01 22:35:31 2016
Received: from localhost ([127.0.0.1]:53260 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bUPYI-0001Kr-QH
	for submit <at> debbugs.gnu.org; Mon, 01 Aug 2016 22:35:30 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45725)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bUPYG-0001Kd-IS
 for 24128 <at> debbugs.gnu.org; Mon, 01 Aug 2016 22:35:28 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bUPYA-00085W-Hm
 for 24128 <at> debbugs.gnu.org; Mon, 01 Aug 2016 22:35:23 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.7 required=5.0 tests=BAYES_05,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:52520)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bUPYA-00085O-Er; Mon, 01 Aug 2016 22:35:22 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:2019
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1bUPY9-0000WF-OG; Mon, 01 Aug 2016 22:35:22 -0400
Date: Tue, 02 Aug 2016 05:35:08 +0300
Message-Id: <831t27oq3n.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
In-reply-to: <87wpk0w7ho.fsf@HIDDEN> (message from Michael Heerdegen on Mon,
 01 Aug 2016 22:37:39 +0200)
Subject: Re: bug#24128: 25.1;
 Strange warning from byte compiler in gud.el and gdb-mi.el
References: <837fc0ntmw.fsf@HIDDEN> <87wpk0w7ho.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -6.2 (------)
X-Debbugs-Envelope-To: 24128
Cc: 24128 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.2 (------)

> From: Michael Heerdegen <michael_heerdegen@HIDDEN>
> Cc: 24128 <at> debbugs.gnu.org
> Date: Mon, 01 Aug 2016 22:37:39 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > When these two files are compiled, the byte compiler emits strange
> > warnings:
> >
> >     ELC      progmodes/gdb-mi.elc
> >
> >   In toplevel form:
> >   progmodes/gdb-mi.el:675:1:Warning: Unused lexical argument `arg'
> >
> >     ELC      progmodes/gud.elc
> >
> >   In toplevel form:
> >   progmodes/gud.el:735:1:Warning: Unused lexical argument `arg'
> >
> 
> > What is going on here?
> 
> I think the warnings come from compiling some lambda created by the
> macro `gud-def', and the determined positions are just incorrect.

We should make the reported line correct, then.  Right?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24128; Package emacs. Full text available.

Message received at 24128 <at> debbugs.gnu.org:


Received: (at 24128) by debbugs.gnu.org; 1 Aug 2016 20:37:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 01 16:37:50 2016
Received: from localhost ([127.0.0.1]:53206 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bUJyA-0001V5-1M
	for submit <at> debbugs.gnu.org; Mon, 01 Aug 2016 16:37:50 -0400
Received: from mout.web.de ([217.72.192.78]:63773)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1bUJy8-0001Us-Ew
 for 24128 <at> debbugs.gnu.org; Mon, 01 Aug 2016 16:37:48 -0400
Received: from drachen.dragon ([88.67.73.210]) by smtp.web.de (mrweb101) with
 ESMTPSA (Nemesis) id 0MUnUe-1bn3BB2ra0-00YCLa;
 Mon, 01 Aug 2016 22:37:41 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#24128: 25.1;
 Strange warning from byte compiler in gud.el and gdb-mi.el
References: <837fc0ntmw.fsf@HIDDEN>
Date: Mon, 01 Aug 2016 22:37:39 +0200
In-Reply-To: <837fc0ntmw.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 01 Aug
 2016 23:04:07 +0300")
Message-ID: <87wpk0w7ho.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K0:UGsq1ArTsULBsm18fRWx4i64cGqQwMm6KS9JgeTCtxUbNJF+Cbc
 ovqtJI0IoN0XALv9i0UyorrXWxITJAU11BwEAEXV+6rwjMX4yMc9oH2xwoygaE+TecMKIhH
 c9eVfz2/4nVMzaOXHexsOTYlryBwVu3p8F1nPzH87tZXeqGVAslXoLVb0U4GCVxgsQ+X92z
 n5s/IjotsOkxJf8EJJnwA==
X-UI-Out-Filterresults: notjunk:1;V01:K0:D3+ydONj4HE=:wQayHLLkMcs6c+GtSZ/Ea5
 XULYIUDOUjBZPRBD3Cw3tCfIlNFZuN/j4uWyqt53DrCPSDhX34uMxXgx87ZE0gT1UPoHZbxRt
 hIAcv/m99HHwyYT0SEtsF+Fdxvs5sY+pKV/t7VYFGxC8ea5qTc5qAC2pXWUxTFtav2NClKb/Q
 4QVxp1rSEag3/ZH5mDXLqD4SVz8pZ7IWtQY+P0RB8zF9zpMYV7MDMnbBTPPg4+NwBDM8KYVKZ
 nYP9tsTwXDll26I+3vSpqhXNxXveTZ+TbuWDlRAOeCAVY8eGfbtnkLWXd7zxvNCa/l5RLShwS
 BLy91pg97j4ntmXVSYijeEAxJc+TDByTiNn7WGgyVOekjnWs9e6qANkx/A3IVusHAaOLTpoHC
 xeXE0Y0ZIN1TFsmpwS/2n7V0Hd+vbx0P0NPka+px49p09pUKwgbBMRnKM3FQ8j6jrI0OfobDO
 dNY+/HABjZnQzsWTMky2Q6MS0pAzgkND54VYmP2zKBZOlaTnqBvIDLpMiZBNV0E+Io4c1xCeB
 USL5cIT/BCaDv/7IZTNhLp50gVx4M/vcNQ64yY/8kQjHRd34a0S/ZymL3aK4TjPsa2Lp9XNa1
 bz3gFSj0NCi90Pt/01LFSHUVBfcaJfhiEKf7MlJHtIqtXSGM6IJH5kayXLOcENVGJbbgDAHpZ
 k4KOIL1dOr2N1BV/v7Z93+Zs7969wVM67oT+VuC+LugqQV34VdaOqMRKsMyS28pvaMhzBDPod
 JZRGBrfX6RbG3elbtyIWBisnr6fo4uTH+0H993s1ZaUvwkAKn1Jf3a3Teg+h1aeDasKB6EKee
 VQUQUXg
X-Spam-Score: -2.0 (--)
X-Debbugs-Envelope-To: 24128
Cc: 24128 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.0 (--)

Eli Zaretskii <eliz@HIDDEN> writes:

> When these two files are compiled, the byte compiler emits strange
> warnings:
>
>     ELC      progmodes/gdb-mi.elc
>
>   In toplevel form:
>   progmodes/gdb-mi.el:675:1:Warning: Unused lexical argument `arg'
>
>     ELC      progmodes/gud.elc
>
>   In toplevel form:
>   progmodes/gud.el:735:1:Warning: Unused lexical argument `arg'
>

> What is going on here?

I think the warnings come from compiling some lambda created by the
macro `gud-def', and the determined positions are just incorrect.


Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24128; Package emacs. Full text available.

Message received at 24128 <at> debbugs.gnu.org:


Received: (at 24128) by debbugs.gnu.org; 1 Aug 2016 20:34:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 01 16:34:30 2016
Received: from localhost ([127.0.0.1]:53202 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bUJuw-0001QO-IX
	for submit <at> debbugs.gnu.org; Mon, 01 Aug 2016 16:34:30 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:57909)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <whitebox@HIDDEN>) id 1bUJuv-0001QE-5v
 for 24128 <at> debbugs.gnu.org; Mon, 01 Aug 2016 16:34:29 -0400
Received: from frontend01.mail.m-online.net (unknown [192.168.8.182])
 by mail-out.m-online.net (Postfix) with ESMTP id 3s39zl6cTsz3hjHS;
 Mon,  1 Aug 2016 22:34:27 +0200 (CEST)
Received: from localhost (dynscan1.mnet-online.de [192.168.6.68])
 by mail.m-online.net (Postfix) with ESMTP id 3s39zl4vvFzvkQq;
 Mon,  1 Aug 2016 22:34:27 +0200 (CEST)
X-Virus-Scanned: amavisd-new at mnet-online.de
Received: from mail.mnet-online.de ([192.168.8.182])
 by localhost (dynscan1.mail.m-online.net [192.168.6.68]) (amavisd-new,
 port 10024)
 with ESMTP id ysqyW3qxoEhQ; Mon,  1 Aug 2016 22:34:26 +0200 (CEST)
X-Auth-Info: uoPBV+wbucj3g7ypobturu1sbThRIc26Z78F3LLfRTUxmewAtVA4LeKqATaWX7li
Received: from igel.home (ppp-88-217-10-42.dynamic.mnet-online.de
 [88.217.10.42]) by mail.mnet-online.de (Postfix) with ESMTPA;
 Mon,  1 Aug 2016 22:34:26 +0200 (CEST)
Received: by igel.home (Postfix, from userid 1000)
 id 8721C2C2D79; Mon,  1 Aug 2016 22:34:26 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#24128: 25.1;
 Strange warning from byte compiler in gud.el and gdb-mi.el
References: <837fc0ntmw.fsf@HIDDEN>
X-Yow: Is this going to involve RAW human ecstasy?
Date: Mon, 01 Aug 2016 22:34:26 +0200
In-Reply-To: <837fc0ntmw.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 01 Aug
 2016 23:04:07 +0300")
Message-ID: <87d1lsjkj1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 24128
Cc: 24128 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

Eli Zaretskii <eliz@HIDDEN> writes:

>   progmodes/gud.el:735:1:Warning: Unused lexical argument `arg'

  (gud-def gud-jump
	   (progn (gud-call "tbreak %f:%l") (gud-call "jump %f:%l"))
	   "\C-j" "Set execution address to current line.")

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#24128; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Aug 2016 20:04:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 01 16:04:57 2016
Received: from localhost ([127.0.0.1]:53183 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bUJSL-0007WM-Kr
	for submit <at> debbugs.gnu.org; Mon, 01 Aug 2016 16:04:57 -0400
Received: from eggs.gnu.org ([208.118.235.92]:42105)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1bUJSJ-0007W6-Jf
 for submit <at> debbugs.gnu.org; Mon, 01 Aug 2016 16:04:55 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bUJSD-00071C-Di
 for submit <at> debbugs.gnu.org; Mon, 01 Aug 2016 16:04:50 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-0.4 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:49787)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bUJSD-000717-AS
 for submit <at> debbugs.gnu.org; Mon, 01 Aug 2016 16:04:49 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:33069)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bUJSA-0000Rn-Sy
 for bug-gnu-emacs@HIDDEN; Mon, 01 Aug 2016 16:04:48 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1bUJS4-0006z2-RS
 for bug-gnu-emacs@HIDDEN; Mon, 01 Aug 2016 16:04:45 -0400
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:48814)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1bUJS4-0006yt-Nl
 for bug-gnu-emacs@HIDDEN; Mon, 01 Aug 2016 16:04:40 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:1761
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>) id 1bUJS0-0001k6-Sl
 for bug-gnu-emacs@HIDDEN; Mon, 01 Aug 2016 16:04:39 -0400
Date: Mon, 01 Aug 2016 23:04:07 +0300
Message-Id: <837fc0ntmw.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.1; Strange warning from byte compiler in gud.el and gdb-mi.el
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -6.2 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.2 (------)

When these two files are compiled, the byte compiler emits strange
warnings:

    ELC      progmodes/gdb-mi.elc

  In toplevel form:
  progmodes/gdb-mi.el:675:1:Warning: Unused lexical argument `arg'

    ELC      progmodes/gud.elc

  In toplevel form:
  progmodes/gud.el:735:1:Warning: Unused lexical argument `arg'

But there's no "arg" anywhere in sight on those lines, which are
these:

(defun gdb (command-line)
(defun gud-gdb (command-line)

What is going on here?

In GNU Emacs 25.1.7 (i686-pc-mingw32)
 of 2016-08-01 built on HOME-C4E4A596F7
Repository revision: aa4271ab7299c033760db64bf15476a5e0eee2a5
Windowing system distributor 'Microsoft Corp.', version 5.1.2600
Configured using:
 'configure --prefix=/d/usr --enable-checking=yes,glyphs --with-wide-int
 --with-modules 'CFLAGS=-O0 -gdwarf-4 -g3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY ACL GNUTLS LIBXML2 ZLIB
TOOLKIT_SCROLL_BARS MODULES

Important settings:
  value of $LANG: ENU
  locale-coding-system: cp1255

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message dired format-spec rfc822 mml
mml-sec password-cache epg epg-config gnus-util mm-decode mm-bodies
mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mm-util help-fns help-mode easymenu
cl-loaddefs pcase cl-lib mail-prsvr mail-utils time-date mule-util
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel dos-w32 ls-lisp disp-table w32-win w32-vars term/common-win
tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment
elisp-mode lisp-mode prog-mode register page menu-bar rfn-eshadow timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
frame cl-generic cham georgian utf-8-lang misc-lang vietnamese tibetan
thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek romanian
slovak czech european ethiopic indian cyrillic chinese charscript
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote w32notify w32 multi-tty
make-network-process emacs)

Memory information:
((conses 16 93412 6661)
 (symbols 56 20753 0)
 (miscs 48 46 107)
 (strings 16 17771 6169)
 (string-bytes 1 441590)
 (vectors 16 12447)
 (vector-slots 8 432678 5024)
 (floats 8 162 46)
 (intervals 40 262 119)
 (buffers 856 21))




Acknowledgement sent to Eli Zaretskii <eliz@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#24128; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 5 Oct 2016 00:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.